## org.w3c.jigadm.gui
Class TreeListener

    java.lang.Object
      |
      +--org.w3c.jigadm.gui.TreeListener

public class TreeListener
extends java.lang.Object
implements java.util.EventListener

Constructor Summary
`TreeListener(java.awt.Panel target)`

Method Summary
`void` | `editedChanged(ServerBrowser tb, RemoteResourceWrapper resourcew)`
`void` | `focusChanged(RemoteResourceWrapper rw)`
`void` | `nodeRemoved(RemoteResourceWrapper rw)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeListener

    public TreeListener(java.awt.Panel target)

Method Detail

### editedChanged

    public void editedChanged(ServerBrowser tb,
                              RemoteResourceWrapper resourcew)

### focusChanged

    public void focusChanged(RemoteResourceWrapper rw)

### nodeRemoved

    public void nodeRemoved(RemoteResourceWrapper rw)